Bug 512205 - pull in rhpl.keyboard bits
pull in rhpl.keyboard bits
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: rhplectomy
  Show dependency treegraph
 
Reported: 2009-07-16 12:58 EDT by Jeremy Katz
Modified: 2009-09-14 15:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 14:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2009-07-16 12:58:41 EDT
The keyboard config pieces in rhpl really belong in system-config-keyboard instead.  They could either be pulled in and just left in /usr/share/system-config-keyboard or left in their current paths.  The former feels a little cleaner.  I can give you the patch, but it's basically copy the files and adjust the makefile.  

Once that's done, I'll adjust the rhpl.keyboard users to use the bits from system-config-keyboard instead.
Comment 1 Lubomir Rintel 2009-07-26 21:52:15 EDT
Done. The remaining users of rphl.keyboard* are:

anaconda-11.5.0.59-1.fc11
firstboot-1.106-1.fc11
livecd-tools-024-1.fc11
revisor-2.1.4-1.fc11
system-config-display-1.1.3-2.fc11
system-config-keyboard-1.2.15-8.fc11
system-config-kickstart-2.7.22-1.fc11

Changing them should be straightforward s/rhpl/system_config_keyboard/
Comment 2 Chris Lumens 2009-09-14 15:35:41 EDT
No rhpl.keyboard usage in anaconda, firstboot, or system-config-kickstart anymore.

Note You need to log in before you can comment on or make changes to this bug.